% $Id$ %
\subsection{Rockblox}
\screenshot{plugins/images/ss-rockblox}{Rockblox}{fig:rockblox}
Rockblox is a Rockbox version of the classic falling blocks game from Russia. 
The aim of the game is to make the falling blocks of different shapes 
form full rows. Whenever a row is completed,  it will be cleared away, and you
gain points. For every ten lines completed, the game level increases, making
the blocks fall faster. If the pile of blocks reaches the ceiling, the game is over.

\begin{table}
    \begin{btnmap}{}{}
    \opt{RECORDER_PAD}{\ButtonFOne}
    \opt{PLAYER_PAD}{\ButtonStop+\ButtonMenu}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOn}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonPlay}
    \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,GIGABEAT_S_PAD}{\ButtonPlay}
    \opt{SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonRec}
    \opt{GIGABEAT_PAD}{\ButtonA}
    \opt{MROBE100_PAD}{\ButtonDisplay}
    \opt{ONDIO_PAD}{\ButtonMenu+\ButtonOff}
       \opt{HAVEREMOTEKEYMAP}{& }
        & Restart game\\
    \ButtonLeft
       \opt{HAVEREMOTEKEYMAP}{& }
        & Move left\\
    \ButtonRight
       \opt{HAVEREMOTEKEYMAP}{& }
        & Move right\\
    \opt{PLAYER_PAD}{\ButtonMenu}
    \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD%
        ,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}
        {\ButtonDown}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonPlay}
    \opt{IRIVER_H10_PAD}{\ButtonScrollDown}
       \opt{HAVEREMOTEKEYMAP}{& }
        & Move down\\
    \opt{PLAYER_PAD}{\ButtonOn+\ButtonPlay}
    \opt{RECORDER_PAD}{\ButtonPlay}
    \opt{ONDIO_PAD}{\ButtonMenu+\ButtonUp}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD}{\ButtonSelect}
    \opt{scrollwheel}{\ButtonScrollFwd}
    \opt{IAUDIO_X5_PAD}{\ButtonPower}
    \opt{IRIVER_H10_PAD}{\ButtonRew}
    \opt{SANSA_C200_PAD}{\ButtonVolDown}
    \opt{GIGABEAT_PAD,GIGABEAT_S_PAD}{\ButtonVolUp}
    \opt{MROBE100_PAD}{\ButtonMenu}
       \opt{HAVEREMOTEKEYMAP}{& }
        & Rotate left\\
    \opt{PLAYER_PAD}{\ButtonPlay}
    \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD}
        {\ButtonUp}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonScrollBack{} / \ButtonMenu}
    \opt{SANSA_E200_PAD}{\ButtonScrollBack}
    \opt{IRIVER_H10_PAD}{\ButtonScrollUp}
    \opt{SANSA_C200_PAD}{\ButtonVolUp/\ButtonUp}
    \opt{GIGABEAT_PAD,GIGABEAT_S_PAD}{\ButtonVolDown}
    \opt{MROBE100_PAD}{\ButtonPlay}
       \opt{HAVEREMOTEKEYMAP}{& }
        & Rotate right\\
    \opt{PLAYER_PAD,RECORDER_PAD}{\ButtonOn}
    \opt{ONDIO_PAD}{\ButtonMenu}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD%
        ,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonSelect}
    \opt{IAUDIO_X5_PAD}{\ButtonRec}
    \opt{IRIVER_H10_PAD}{\ButtonFF}
       \opt{HAVEREMOTEKEYMAP}{& }
        & Drop\\
    \opt{hold_button}{
        \ButtonHold{} switch
       \opt{HAVEREMOTEKEYMAP}{& }
        & Pause\\
    }
    \opt{PLAYER_PAD}{\ButtonStop}
    \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOff}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonMenu+\ButtonSelect}
    \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,MROBE100_PAD}{\ButtonPower}
    \opt{GIGABEAT_S_PAD}{\ButtonBack}
       \opt{HAVEREMOTEKEYMAP}{& 
          \opt{IRIVER_RC_H100_PAD}{\ButtonRCStop}
        }
        & Quit\\
    \end{btnmap}
\end{table}
